{*******************************************************}
{                                                       }
{                Delphi Runtime Library                 }
{                                                       }
{ Copyright(c) 1995-2014 Embarcadero Technologies, Inc. }
{                                                       }
{*******************************************************}

unit Data.DBConsts;

interface

resourcestring
  SInvalidFieldSize = 'Chybn rozmr pole';
  SInvalidFieldKind = 'Chybn FieldKind';
  SInvalidFieldRegistration = 'Chybn registrace pole';
  SUnknownFieldType = 'Pole ''%s'' je neznmho typu';
  SFieldNameMissing = 'Chyb jmno pole';
  SDuplicateFieldName = 'Zdvojen jmno pole ''%s''';
  SFieldNotFound = 'Pole ''%s'' nenalezeno';
  SFieldAccessError = 'Nelze pistoupit k ''%s'' typu %s';
  SFieldValueError = 'Chybn hodnota pro pole ''%s''';
  SFieldRangeError = '%g nen platn hodnota pro pole ''%s''. Je dovolen rozsah od %g do %g';
  SBcdFieldRangeError = '%s nen platn hodnota pro pole ''%s''. Je dovolen rozsah od %s do %s';
  SInvalidIntegerValue = '''%s'' nen platn celoseln hodnota pro pole ''%s''';
  SInvalidBoolValue = '''%s'' nen paltn logick hodnota pro pole ''%s''';
  SInvalidFloatValue = '''%s'' nen platn reln slo pro pole ''%s''';
  SFieldTypeMismatch = 'Neshoda typu pro pole ''%s'', oekvan: %s obdren: %s';
  SFieldSizeMismatch = 'Neshoda rozmru pro pole ''%s'', oekvan: %d obdren: %d';
  SInvalidVarByteArray = 'Chybn variantn typ nebo rozmr pole ''%s''';
  SFieldOutOfRange = 'Hodnota pole ''%s'' je mimo rozsah';
//  SBCDOverflow = '(Overflow)';
  SCantAdjustPrecision = 'Error adjusting BCD precision';
  SFieldRequired = 'Pole ''%s'' mus mt hodnotu';
  SDataSetMissing = 'Pole ''%s'' nen datov sada';
  SInvalidCalcType = 'Pole ''%s'' neme bt vypotvan nebo i lookup pole';
  SFieldReadOnly = 'Pole ''%s'' nelze zmnit';
  SFieldIndexError = 'Index pole je mimo rozsah';
  SNoFieldIndexes = 'dn index nen aktivn';
  SNotIndexField = 'Pole ''%s'' nen indexovno a neme bt zmnno';
  SIndexFieldMissing = 'Nelze pistoupit k indexovanmu poli ''%s''';
  SDuplicateIndexName = 'Zdvojen nzev indexu ''%s''';
  SNoIndexForFields = 'Pro pole ''%s'' nen index';
  SIndexNotFound = 'Index ''%s'' nenalezen';
  SDBDuplicateName = 'Zdvojen jmno ''%s'' v %s';
  SCircularDataLink = 'Nedovolen kruhov odkaz datovho spojen';
  SLookupInfoError = 'Lookup daje pro pole ''%s'' nen pln';
  SNewLookupFieldCaption = 'New Lookup Field';
  SDataSourceChange = 'Datov zdroj nelze mnit';
  SNoNestedMasterSource = 'Vnoen datov sada nesm mt MasterSource';
  SDataSetOpen = 'Operaci nelze vykonat nad otevenou datovou sadou';
  SNotEditing = 'Datov sada nen mdu pro vkldn i zmnu';
  SDataSetClosed = 'Operaci nelze vykonat nad uzavenou datovou sadou';
  SDataSetEmpty = 'Operaci nelze vykonat nad przdnou datovou sadou';
  SDataSetReadOnly = 'Nelze mnit datovou sadu jen pro ten';
  SNestedDataSetClass = 'Vnoen datov sada mus pochzet z %s';
  SExprTermination = 'Vraz filtru byl nesprvn ukonen';
  SExprNameError = 'Nepln jmno pole';
  SExprStringError = 'Neukonen etzcov konstanta';
  SExprInvalidChar = 'Nesprvn znak ve vrazu filtru: ''%s''';
  SExprNoLParen = 'Oekvna ''('' ale nalezeno %s';
  SExprNoRParen = 'Oekvna '')'' ale nalezeno %s';
  SExprNoRParenOrComma = 'Oekvna '')'' nebo '','' ale nalezena %s';
  SExprExpected = 'Msto oekvanho vrazu nalezeno %s';
  SExprBadField = 'Pole ''%s'' nelze pout ve vrazu filtru';
  SExprBadNullTest = 'NULL dovoleno pouze s ''='' a ''<>''';
  SExprRangeError = 'Konstanta je mimo rozsah';
  SExprNotBoolean = 'Pole ''%s'' nen logickho typu';
  SExprIncorrect = 'Nesprvn sestaven vraz filtru';
  SExprNothing = 'nic';
  SExprTypeMis = 'Neshoda typ ve vrazu';
  SExprBadScope = 'Operace neme mchat agregovan hodnoty s hodnotami zznam';
  SExprNoArith = 'Aritmetika nen podporovan vrazem filtru';
  SExprNotAgg = 'Vraz nen agregovan vraz';
  SExprBadConst = 'Konstanta nen odpovdajcho typu %s';
  SExprNoAggFilter = 'Agregovan vraz nen ve filtru povolen';
  SExprEmptyInList = 'Seznam IN prediktu nesm bt przdn';
  SInvalidKeywordUse = 'Chybn uit klovho slova';
  STextFalse = 'False';
  STextTrue = 'True';
  SParameterNotFound = 'Parameter ''%s'' nenalezen';
  SInvalidVersion = 'Nelze nast vzan parametry';
  SParamTooBig = 'Parameter ''%s'', nelze uloit data vt jak %d byt';
  SBadFieldType = 'Pole ''%s'' nen podporovanho typu';
  SAggActive = 'Vlastnost nesm bt mnna pokud je adregace aktivn';
  SProviderSQLNotSupported = 'SQL nen podporovno: %s';
  SProviderExecuteNotSupported = 'Vykonn nen podporovno: %s';
  SExprNoAggOnCalcs = 'Pole ''%s'' nen sprvnho typu vpotovho pole pro pouit k agregaci, uijte vnitn pepoet';
  SRecordChanged = 'Zznam nenalezen nebo zmnn jinm uivatelem';
  SDataSetUnidirectional = 'Operation nen dovolena na jednosmrn datov sad';
  SUnassignedVar = 'Nepiazen variantn hodnota';
  SRecordNotFound = 'Zznam nenalezen';
  SFileNameBlank = 'FileName vlastnost nesm bt przdn';
  SFieldNameTooLarge = 'Jmno pole %s peshlo o %d znak';

{ For FMTBcd }

  SBcdOverflow = 'BCD overflow';
  SInvalidBcdValue = '%s nen platn BCD hodnota';
  SInvalidFormatType = 'Chyb formt BCD typu';

{ For SqlTimSt }

  SCouldNotParseTimeStamp = 'Nelze rozebrat SQL TimeStamp etzec';
  SInvalidSqlTimeStamp = 'Chybn hodnota SQL data/asu';
  SCalendarTimeCannotBeRepresented = 'Calendar time cannot be represented';

  SDeleteRecordQuestion = 'Vymazat zznam?';
  SDeleteMultipleRecordsQuestion = 'Vymazat vechny vybran zznamy?';
  STooManyColumns = 'Mka poaduje zobrazit vce jak 256 sloupc';

  { For reconcile error }
  SSkip = 'Pekro';
  SAbort = 'Zru';
  SMerge = 'Pipoj';
  SCorrect = 'Oprav';
  SCancel  = 'Odvolej';
  SRefresh = 'Obnov';
  SModified = 'Zmnno';
  SInserted = 'Vloeno';
  SDeleted  = 'Smazno';
  SCaption = 'Update Error - %s';
  SUnchanged = '<Unchanged>';  
  SBinary = '(Binary)';                              
  SAdt = '(ADT)';   
  SArray = '(Array)'; 
  SFieldName = 'Field Name'; 
  SOriginal = 'Original Value'; 
  SConflict = 'Conflicting Value';  
  SValue = ' Hodnota';   
  SNoData = '<No Records>';
  SNew = 'Nov';    

implementation

end.
